Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000778Core InformAssertions and creationspublic2011-10-13 00:582014-05-07 07:34
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000778: abject failure when trying to implicitly create a rulebook via relation
DescriptionI was hoping this would work, but alas.


An internal error has occurred: annotated null PN. The current sentence is 'the lorem ipsom rules chains to the when play begins rules' ; the error was detected at line 305 of "Chapter 6/Parse Tree.w".
Minimal Source Text To Reproduce
"test" by Ron Newcomb

there is room. 

Chaining relates various rulebooks to various rulebooks.
The verb to chain to (he chains to, they chain to) implies the chaining relation.

the action-processing rules chains to the when play begins rules. [works fine]

the lorem ipsom rules chains to the when play begins rules. [error]
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0001408)
graham (administrator)
2011-10-17 11:39

Fixed. Just a bug; there was no reason why this shouldn't create the lorem ipsom [isn't it ipsum?] rules, and now it does.

- Issue History
Date Modified Username Field Change
2011-10-13 00:58 Ron Newcomb New Issue
2011-10-17 11:39 graham Note Added: 0001408
2011-10-17 11:39 graham Status new => resolved
2011-10-17 11:39 graham Resolution open => fixed
2011-10-17 11:39 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker